summaryrefslogtreecommitdiff
path: root/source4/script/tests/win/wintest_net.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source4/script/tests/win/wintest_net.sh')
-rwxr-xr-xsource4/script/tests/win/wintest_net.sh15
1 files changed, 10 insertions, 5 deletions
diff --git a/source4/script/tests/win/wintest_net.sh b/source4/script/tests/win/wintest_net.sh
index d2dbb3bcc0..cd1fd2de92 100755
--- a/source4/script/tests/win/wintest_net.sh
+++ b/source4/script/tests/win/wintest_net.sh
@@ -34,6 +34,14 @@ bind_options="seal,padcheck bigendian"
test_type="ncalrpc ncacn_np ncacn_ip_tcp"
all_errs=0
+
+on_error() {
+ errstr=$1
+
+ all_errs=`expr $all_errs + 1`
+ restore_snapshot $errstr "$VM_CFG_PATH"
+}
+
for o in $bind_options; do
for transport in $test_type; do
case $transport in
@@ -49,12 +57,9 @@ for o in $bind_options; do
-U $username%$password \
-W $domain \
$transport:$server[$o] \
- $t || all_errs=`expr $all_errs + 1`
- if [ $old_errs -lt $all_errs ]; then
- restore_snapshot "\n$test_name failed."
- fi
+ $t || on_error "\n$test_name failed."
done
done
done
-testok $0 $all_errs
+exit $all_errs